package com.zd.laboratory.mapper;

import java.util.List;
import com.zd.laboratory.domain.LabGradeManage;
import com.zd.system.api.laboratory.domain.vo.LabGradeManageWorkVO;
import org.apache.ibatis.annotations.Param;

/**
 * 分级管控管理Mapper接口
 *
 * @author liubo
 * @date 2022-02-10
 */
public interface LabGradeManageMapper
{
    /**
     * 查询分级管控管理
     *
     * @param id 分级管控管理主键
     * @return 分级管控管理
     */
    public LabGradeManage selectLabGradeManageById(Long id);

    /**
     * 查询分级管控管理列表
     *
     * @param labGradeManage 分级管控管理
     * @return 分级管控管理集合
     */
    public List<LabGradeManage> selectLabGradeManageList(LabGradeManage labGradeManage);

    /**
     * 新增分级管控管理
     *
     * @param labGradeManage 分级管控管理
     * @return 结果
     */
    public int insertLabGradeManage(LabGradeManage labGradeManage);

    /**
     * 修改分级管控管理
     *
     * @param labGradeManage 分级管控管理
     * @return 结果
     */
    public int updateLabGradeManage(LabGradeManage labGradeManage);

    /**
     * 删除分级管控管理
     *
     * @param id 分级管控管理主键
     * @return 结果
     */
    public int deleteLabGradeManageById(Long id);

    /**
     * 批量删除分级管控管理
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteLabGradeManageByIds(Long[] ids);

    int selectCountBySubId(@Param("subId") String subId, @Param("id") Long id);

    @Deprecated
    String selectSubIdsByUserId(Long userId);

    List<LabGradeManageWorkVO> selectLabGradeManageListByWorkList(LabGradeManageWorkVO labGradeManageWork);

    List<Long> selectSubIdsByManageId(Long gradeManageId);
}
